Subject: bug#73127: closed (Re: bug#73127: [PATCH gnome-team] gnu: glib: Update to 2.80.5.)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 12 Nov 2024 08:33:02 +0000

Your bug report

#73127: [PATCH gnome-team] gnu: glib: Update to 2.80.5.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
73127: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=73127
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#73127: [PATCH gnome-team] gnu: glib: Update to 2.80.5.
From: Maxim Cournoyer <[email-masked]>
To: Liliana Marie Prikler <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Tue, 12 Nov 2024 17:31:31 +0900
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

Maxim Cournoyer <[email-masked]> writes:

> Hi Liliana,
>
> Liliana Marie Prikler <[email-masked]> writes:
>
>> * gnu/packages/glib.scm (glib): Update to 2.80.5.
>> [#:phases]: Add ‘wrap-python’.
>> [inputs]: Add python-packaging-bootstrap.
>> ---
>>
>> v2 fixes builds in dependent packages, but may come at the cost of making
>> glib no longer cross-compilable (note: I don't know whether it can be
>> cross-built currently, and would like some pointers on how to achieve
>> this for a potential v3).  qtbase still fails --- bug report incoming.
>
> I wouldn't worry too much about making it non cross-compilable by adding
> a Python input; I had a patch making it possible to cross-compile python
> packages on old core-updates, I should revisit it.
>
> The rest looks fine to me.

That's obsolete by glib 2.83.0 on my latest gnome-team submission (bug
#74306).

-- 
Thanks,
Maxim

Subject: [PATCH gnome-team] gnu: glib: Update to 2.80.5.
From: Liliana Marie Prikler <[email-masked]>
To: [email-masked]
Date: Sun, 8 Sep 2024 22:44:25 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

* gnu/packages/glib.scm (glib): Update to 2.80.5.
[native-inputs]: Add python-packaging-bootstrap.
---
 gnu/packages/glib.scm | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/glib.scm b/gnu/packages/glib.scm
index d6275ea63e..a0f1949f2f 100644
--- a/gnu/packages/glib.scm
+++ b/gnu/packages/glib.scm
@@ -73,6 +73,7 @@ (define-module (gnu packages glib)
   #:use-module (gnu packages popt)
   #:use-module (gnu packages pkg-config)
   #:use-module (gnu packages python)
+  #:use-module (gnu packages python-build)
   #:use-module (gnu packages python-xyz)
   #:use-module (gnu packages sqlite)
   #:use-module (gnu packages web)
@@ -243,7 +244,7 @@ (define-public dbus-verbose
 (define glib
   (package
     (name "glib")
-    (version "2.78.0")
+    (version "2.80.5")
     (source
      (origin
        (method url-fetch)
@@ -252,7 +253,7 @@ (define glib
                        name "/" (string-take version 4) "/"
                        name "-" version ".tar.xz"))
        (sha256
-        (base32 "0c3vagxl77wma85qinbj974jvw96n5bvch2m7hqcwxq8fa5spsj4"))
+        (base32 "0wb77rnfcfmz368dg7b8d4waif8qddidcdvyvszmns9wh3gaj8wz"))
        (patches
         (search-patches "glib-appinfo-watch.patch"
                         "glib-skip-failing-test.patch"))
@@ -483,6 +484,7 @@ (define glib
            perl                         ;needed by GIO tests
            pkg-config
            python                       ;for 'patch-python-references
+           python-packaging-bootstrap
            python-wrapper
            tzdata-for-tests))           ;for tests/gdatetime.c
     (inputs

base-commit: bf0af917fe6127d79251c7c0f3e3d33e1e8b1403
-- 
2.45.2